Method: projects.locations.userStores.batchUpdateUserLicenses

ユーザー ライセンスを更新します。このメソッドは、ユーザーへのライセンスの一括割り当て / 割り当て解除に使用されます。

HTTP リクエスト

POST https://discoveryengine.googleapis.com/v1beta/{parent=projects/*/locations/*/userStores/*}:batchUpdateUserLicenses

この URL では gRPC Transcoding 構文を使用します。

パスパラメータ

パラメータ
parent

string

必須。親 UserStore のリソース名。形式: projects/{project}/locations/{location}/userStores/{userStoreId}

リクエストの本文

リクエストの本文には、次の構造のデータが含まれます。

JSON 表現
{
  "deleteUnassignedUserLicenses": boolean,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "inlineSource": {
    object (InlineSource)
  }
  // End of mutually exclusive fields.
}
フィールド
deleteUnassignedUserLicenses

boolean

省略可。true の場合、ユーザー ライセンスに関連付けられたライセンス構成が削除されると、ユーザー ライセンスが削除されます。デフォルト(false)では、ユーザー ライセンスは割り当て解除状態に更新されます。

必須。入力のソース。以下は、相互に排他的なフィールドのリストです。レスポンスで設定されるフィールドは最大で 1 つです。
inlineSource

object (InlineSource)

ライセンス割り当ての入力コンテンツのインライン ソース。

相互に排他的なフィールドの終了。

レスポンスの本文

成功した場合、レスポンスの本文には Operation のインスタンスが含まれます。

認可スコープ

次の OAuth スコープのいずれかが必要です。

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

詳細については、Authentication Overview をご覧ください。

IAM 権限

parent リソースに対する次の IAM 権限が必要です。

  • discoveryengine.userStores.batchUpdateUserLicenses

詳細については、IAM のドキュメントをご覧ください。

InlineSource

userStores.batchUpdateUserLicenses メソッドの入力構成のインライン ソース。

JSON 表現
{
  "userLicenses": [
    {
      object (UserLicense)
    }
  ],
  "updateMask": string
}
フィールド
userLicenses[]

object (UserLicense)

必須。更新するユーザー ライセンスのリスト。各ユーザー ライセンスには有効な UserLicense.user_principal が必要です。

updateMask

string (FieldMask format)

省略可。更新するフィールドのリスト。

完全修飾フィールド名のカンマ区切りリスト。例: "user.displayName,photo"